Bug 59876 - Crash after splash screen on Android 4.4.4 tablet (Samsung Galaxy Tab 3 (SM-T113))
Summary: Crash after splash screen on Android 4.4.4 tablet (Samsung Galaxy Tab 3 (SM-T...
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.4.0
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-09-30 07:45 UTC by Happypig375
Modified: 2017-11-14 11:12 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Happypig375 2017-09-30 07:45:19 UTC
Interestingly, it does not crash on my Android 6.0 phone.

Crash:

Java.Lang.NoSuchMethodError: no method with name='getElevation' signature='()F' in class Lcom/xamarin/forms/platform/android/FormsViewGroup;
at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <896ad1d315ca4ba7b117efb8dacaedcf>:0
at Java.Interop.JniEnvironment+InstanceMethods.GetMethodID (Java.Interop.JniObjectReference type, System.String name, System.String signature) [0x0005b] in :0
at Java.Interop.JniType.GetInstanceMethod (System.String name, System.String signature) [0x0000c] in :0
at Java.Interop.JniPeerMembers+JniInstanceMethods.GetMethodInfo (System.String encodedMember) [0x00031] in :0
at Java.Interop.JniPeerMembers+JniInstanceMethods.InvokeVirtualSingleMethod (System.String encodedMember, Java.Interop.IJavaPeerable self, Java.Interop.JniArgumentValue* parameters) [0x00045] in :0
at Android.Views.View.get_Elevation () [0x0000a] in <2e14bb2dd93a405e81838369ed72695b>:0
at Xamarin.Forms.Platform.Android.Platform+DefaultRenderer.GetChildDrawingOrder (System.Int32 childCount, System.Int32 i) [0x0001c] in <88cf924604f943d7b93d6b758fbfbe01>:0
at Android.Views.ViewGroup.n_GetChildDrawingOrder_II (System.IntPtr jnienv, System.IntPtr native__this, System.Int32 childCount, System.Int32 i) [0x00008] in <2e14bb2dd93a405e81838369ed72695b>:0
at (wrapper dynamic-method) System.Object:54e4dcbd-fafa-438e-8455-247211d01345 (intptr,intptr,int,int)
--- End of managed Java.Lang.NoSuchMethodError stack trace ---
java.lang.NoSuchMethodError: no method with name='getElevation' signature='()F' in class Lcom/xamarin/forms/platform/android/FormsViewGroup;
at md5b60ffeb829f638581ab2bb9b1a7f4f3f.Platform_DefaultRenderer.n_getChildDrawingOrder(Native Method)
at md5b60ffeb829f638581ab2bb9b1a7f4f3f.Platform_DefaultRenderer.getChildDrawingOrder(Platform_DefaultRenderer.java:63)
at android.view.ViewGroup.dispatchDraw(ViewGroup.java:3079)
at android.view.View.getDisplayList(View.java:13570)
at android.view.View.getDisplayList(View.java:13617)
at android.view.View.draw(View.java:14395)
at android.view.ViewGroup.drawChild(ViewGroup.java:3237)
at android.view.ViewGroup.dispatchDraw(ViewGroup.java:3074)
at android.view.View.draw(View.java:14684)
at android.view.View.getDisplayList(View.java:13575)
at android.view.View.getDisplayList(View.java:13617)
at android.view.View.draw(View.java:14395)
at android.view.ViewGroup.drawChild(ViewGroup.java:3237)
at android.view.ViewGroup.dispatchDraw(ViewGroup.java:3074)
at android.view.View.draw(View.java:14684)
at android.view.View.getDisplayList(View.java:13575)
at android.view.View.getDisplayList(View.java:13617)
at android.view.View.draw(View.java:14395)
at android.view.ViewGroup.drawChild(ViewGroup.java:3237)
at android.view.ViewGroup.dispatchDraw(ViewGroup.java:3074)
at android.view.View.draw(View.java:14684)
at android.view.View.getDisplayList(View.java:13575)
at android.view.View.getDisplayList(View.java:13617)
at android.view.View.draw(View.java:14395)
at android.view.ViewGroup.drawChild(ViewGroup.java:3237)
at android.view.ViewGroup.dispatchDraw(ViewGroup.java:3074)
at android.view.View.getDisplayList(View.java:13570)
at android.view.View.getDisplayList(View.java:13617)
at android.view.View.draw(View.java:14395)
at android.view.ViewGroup.drawChild(ViewGroup.java:3237)
at android.view.ViewGroup.dispatchDraw(ViewGroup.java:3074)
at android.view.View.getDisplayList(View.java:13570)
at android.view.View.getDisplayList(View.java:13617)
at android.view.View.draw(View.java:14395)
at android.view.ViewGroup.drawChild(ViewGroup.java:3237)
at android.view.ViewGroup.dispatchDraw(ViewGroup.java:3074)
at android.view.View.getDisplayList(View.java:13570)
at android.view.View.getDisplayList(View.java:13617)
at android.view.View.draw(View.java:14395)
at android.view.ViewGroup.drawChild(ViewGroup.java:3237)
at android.view.ViewGroup.dispatchDraw(ViewGroup.java:3074)
at android.view.View.getDisplayList(View.java:13570)
at android.view.View.getDisplayList(View.java:13617)
at android.view.View.draw(View.java:14395)
at android.view.ViewGroup.drawChild(ViewGroup.java:3237)
at android.view.ViewGroup.dispatchDraw(ViewGroup.java:3074)
at android.view.View.draw(View.java:14684)
at android.widget.FrameLayout.draw(FrameLayout.java:472)
at com.android.internal.policy.impl.PhoneWindow$DecorView.draw(PhoneWindow.java:2474)
at android.view.View.getDisplayList(View.java:13575)
at android.view.View.getDisplayList(View.java:13617)
at android.view.HardwareRenderer$GlRenderer.buildDisplayList(HardwareRenderer.java:1577)
at android.view.HardwareRenderer$GlRenderer.draw(HardwareRenderer.java:1451)
at android.view.ViewRootImpl.draw(ViewRootImpl.java:2551)
at android.view.ViewRootImpl.performDraw(ViewRootImpl.java:2417)
at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:2006)
at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:1063)
at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:5993)
at android.view.Choreographer$CallbackRecord.run(Choreographer.java:761)
at android.view.Choreographer.doCallbacks(Choreographer.java:574)
at android.view.Choreographer.doFrame(Choreographer.java:544)
at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:747)
at android.os.Handler.handleCallback(Handler.java:733)
at android.os.Handler.dispatchMessage(Handler.java:95)
at android.os.Looper.loop(Looper.java:136)
at android.app.ActivityThread.main(ActivityThread.java:5584)
at java.lang.reflect.Method.invokeNative(Native Method)
at java.lang.reflect.Method.invoke(Method.java:515)
at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:1268)
at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1084)
at dalvik.system.NativeStart.main(Native Method)

Startup code:

using System;

using Android.App;
using Android.Content.PM;
using Android.OS;
using Android.Preferences;
using Android.Content;
using Utils = FormsApp.Utils;
using Exceptions = FormsApp.Exceptions;
using App = FormsApp.App;

namespace Droid
{
	[Activity (Label = Utils.AssemblyTitle, Theme = "@style/Main", MainLauncher = false, 
        ScreenOrientation = ScreenOrientation.SensorPortrait, HardwareAccelerated = true,
        ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
	public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsApplicationActivity
        {
        	public static Bundle Bundle { get; internal set; }
        	public static MainActivity Current { get; private set; }

        protected override void OnCreate (Bundle bundle)
	{
		base.OnCreate (bundle);
            	Xamarin.Forms.Forms.Init(this, bundle); //Sometimes Android bypasses the slash activity so be safe
            	LoadApplication(new App());
            	Current = this;
	}
        public event EventHandler<PreferenceManager.ActivityResultEventArgs> ActivityResult = delegate { };
        
        protected override void OnActivityResult(int requestCode, Result resultCode, Intent data)
        {
            base.OnActivityResult(requestCode, resultCode, data);
            ActivityResult(this, new PreferenceManager.ActivityResultEventArgs(true, requestCode, resultCode, data));
        }

       
    }

    [Activity(Label = Utils.AssemblyTitle, Theme = "@style/Splash", MainLauncher = true, NoHistory = true,
        ScreenOrientation = ScreenOrientation.SensorPortrait,
        ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class SplashActivity : global::Xamarin.Forms.Platform.Android.FormsApplicationActivity
    {
        System.Threading.ManualResetEvent Inited = new System.Threading.ManualResetEvent(false);
        protected override void OnCreate(Bundle bundle)
        {
            Exceptions.RegisterHandlers();
            Inited.Reset();
            base.OnCreate(bundle);
            MainActivity.Bundle = bundle;
            System.Threading.Tasks.Task.Run(() =>
            {
                Xamarin.Forms.Forms.Init(this, MainActivity.Bundle);
                Inited.Set();
                StartActivity(new Intent(BaseContext, typeof(MainActivity)));
            });
        }

        // Launches the startup task
        protected override void OnResume()
        {
            base.OnResume();
        }

        protected override void OnPause()
        {
            Inited.WaitOne();
            base.OnPause();
        }
    }
}
Comment 1 Paul DiPietro [MSFT] 2017-10-02 15:16:47 UTC
Are you using 2.4.0 stable? I see the report states this, but the bug appears the same as 58868. A full reproduction solution we can run would be helpful as well.
Comment 2 Happypig375 2017-10-09 08:56:22 UTC
>Are you using 2.4.0 stable?
Yes. service release 1, in fact.

>A full reproduction solution we can run would be helpful as well.
I will try to make one asap.
Comment 3 Happypig375 2017-11-14 11:12:47 UTC
In service release 5, this is now fixed, no crash. (Sorry that I forgot about this filed bug...) Thank you!!